Bug 961521 - Kickstart installation does not accept volgroup vg --useexisting
Kickstart installation does not accept volgroup vg --useexisting
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 15:40 EDT by Marian Csontos
Modified: 2014-01-24 10:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 10:57:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2013-05-09 15:40:30 EDT
Description of problem:
As discussed in Brno, kickstart is recommended way to install on custom partition layout e.g. when not possible using Anaconda.
Without working '--useexisting' options to volgroup and logvol this is impossible.

Version-Release number of selected component (if applicable):
anaconda-19.23-1

How reproducible:
100%

Steps to Reproduce:
1. try to use existing VG or LV (does not matter whether created in %pre which does not work anyway or prepared in advance) in kickstart.
  
Actual results:
Backtrace saying: "volgroup must be given a list of partitions".

Expected results:
Installation using prepared VG.

Additional info:
Comment 2 Marian Csontos 2013-05-10 04:10:01 EDT
Now it works with PV+VG prepared in advance. PEBKAC: clearpart in my ks to blame.

However I am still unable to create PVs/VGs/LVs in %pre.

Is it supposed/known to work? (Do I need to spend more time debugging my env?)
Comment 3 David Cantrell 2014-01-24 10:57:17 EST
Closing per comment #2.  We do not guarantee things work via %pre.  That is a preinstall script area for users, but something not working in %pre does not indicate a bug in the installer.  It almost always is an invalid, incorrect, or incomplete set of commands you're running in %pre.

Note You need to log in before you can comment on or make changes to this bug.